Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.measures.base.hstack

`mvpa2.measures.base.``hstack`(datasets)

  Stacks datasets horizontally (appending features).

  Sample attribute collections are merged incrementally, attribute with identical keys overwriting previous ones in the stacked dataset. All datasets must have an identical set of feature attributes (matching keys, not values), otherwise a ValueError will be raised. No dataset attributes from any source dataset will be transferred into the stacked dataset.

  Parameters:

  datasets : tuple

  > Sequence of datasets to be stacked.

  Returns: | AttrDataset (or respective subclass) :

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »